Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.data
Class CalendarParserImpl

    java.lang.Object
      net.fortuna.ical4j.data.CalendarParserImpl

All Implemented Interfaces:
  CalendarParser

    public class CalendarParserImpl

extends Object
implements CalendarParser

The default implementation of a calendar parser.

Author:
  Ben Fortuna

Constructor Summary
`CalendarParserImpl()`

Method Summary
`void` | `parse(InputStream in, ContentHandler handler)` Parse the iCalendar data from the specified input stream.
`void` | `parse(Reader in, ContentHandler handler)` Parse the iCalendar data from the specified reader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarParserImpl

    public CalendarParserImpl()

Method Detail

### parse

    public final void parse(InputStream in,
                            ContentHandler handler)
                     throws IOException,
                            ParserException

  Description copied from interface: `CalendarParser`
  Parse the iCalendar data from the specified input stream.

  Specified by:
    `parse` in interface `CalendarParser`
  Parameters:
    `in` - an input stream from which to read iCalendar data
    `handler` - the content handler to notify during parsing
  Throws:
    `IOException` - thrown when unable to read from the specified stream
    `ParserException` - thrown if an error occurs during parsing

### parse

    public final void parse(Reader in,
                            ContentHandler handler)
                     throws IOException,
                            ParserException

  Description copied from interface: `CalendarParser`
  Parse the iCalendar data from the specified reader.

  Specified by:
    `parse` in interface `CalendarParser`
  Parameters:
    `in` - a reader from which to read iCalendar data
    `handler` - the content handler to notify during parsing
  Throws:
    `IOException` - thrown when unable to read from the specified reader
    `ParserException` - thrown if an error occurs during parsing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.